Table of Contents

Class: TestLoader | Twisted-0.17.4/pyunit/unittest.py
--- | ---

This class is responsible for loading tests according to various criteria and returning them wrapped in a Test

Methods |
--- | ---
getTestCaseNames loadTestsFromModule loadTestsFromName loadTestsFromNames loadTestsFromTestCase
| getTestCaseNames

    getTestCaseNames ( self,  testCaseClass )

Return a sorted sequence of method names found within testCaseClass

| loadTestsFromModule

    loadTestsFromModule ( self,  module )

Return a suite of all tests cases contained in the given module

| loadTestsFromName

    loadTestsFromName (
            self,
            name,
            module=None,
            )

### Return a suite of all tests cases given a string specifier.

The name may resolve either to a module, a test case class, a test method within a test case class, or a callable object which returns a TestCase or TestSuite instance.

The method optionally resolves the names relative to a given module.

Exceptions |
--- | ---
ValueError, "calling %s returned %s, not a test" %( obj, test ) ValueError, "don't know how to make test from: %s" % obj ValueError, "incomplete test name: %s" % name

| loadTestsFromNames

    loadTestsFromNames (
            self,
            names,
            module=None,
            )

Return a suite of all tests cases found using the given sequence of string specifiers. See `loadTestsFromName()`.

| loadTestsFromTestCase

    loadTestsFromTestCase ( self,  testCaseClass )

Return a suite of all tests cases contained in testCaseClass

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:45 2002 by HappyDoc version 2.0